<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:15 CET 2019 -->
<title>LoggingUtils</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LoggingUtils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LoggingUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/DifferenceUtils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../utils/Utils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/LoggingUtils.html" target="_top">Frames</a></li>
<li><a href="LoggingUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">utils</div>
<h2 title="Class LoggingUtils" class="title">Class LoggingUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>utils.LoggingUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">LoggingUtils</span>
extends java.lang.Object</pre>
<div class="block">Utility class that is responsible for logging.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>frborn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/LoggingUtils.html#componentSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">componentSucess</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
               org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;createdComponents)</code>
<div class="block">Success message for ComponentHandler.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/LoggingUtils.html#logging-java.lang.String-">logging</a></span>(java.lang.String&nbsp;message)</code>
<div class="block">Log message to development and plugin console.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/LoggingUtils.html#refinementSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">refinementSucess</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles)</code>
<div class="block">Success message for RefinementHandler.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/LoggingUtils.html#saveSuccess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">saveSuccess</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
           org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles)</code>
<div class="block">Success message for SaveHandler.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/LoggingUtils.html#showNotification-org.eclipse.core.commands.ExecutionEvent-java.lang.String-">showNotification</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                java.lang.String&nbsp;message)</code>
<div class="block">Open pop up window that displays given message.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="logging-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logging</h4>
<pre>public static&nbsp;void&nbsp;logging(java.lang.String&nbsp;message)</pre>
<div class="block">Log message to development and plugin console.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - String</dd>
</dl>
</li>
</ul>
<a name="showNotification-org.eclipse.core.commands.ExecutionEvent-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showNotification</h4>
<pre>public static&nbsp;void&nbsp;showNotification(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                                    java.lang.String&nbsp;message)
                             throws org.eclipse.core.commands.ExecutionException</pre>
<div class="block">Open pop up window that displays given message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event</dd>
<dd><code>message</code> - String</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code> - showNotification</dd>
</dl>
</li>
</ul>
<a name="saveSuccess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveSuccess</h4>
<pre>public static&nbsp;void&nbsp;saveSuccess(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                               org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles)
                        throws org.eclipse.core.commands.ExecutionException</pre>
<div class="block">Success message for SaveHandler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event for save handler</dd>
<dd><code>modifiedFiles</code> - EList of modified file names</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code> - showNotification</dd>
</dl>
</li>
</ul>
<a name="refinementSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refinementSucess</h4>
<pre>public static&nbsp;void&nbsp;refinementSucess(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                                    org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles)
                             throws org.eclipse.core.commands.ExecutionException</pre>
<div class="block">Success message for RefinementHandler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event for refinement handler</dd>
<dd><code>modifiedFiles</code> - EList of modified file names</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code> - showNotification</dd>
</dl>
</li>
</ul>
<a name="componentSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>componentSucess</h4>
<pre>public static&nbsp;void&nbsp;componentSucess(org.eclipse.core.commands.ExecutionEvent&nbsp;event,
                                   org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;createdComponents)
                            throws org.eclipse.core.commands.ExecutionException</pre>
<div class="block">Success message for ComponentHandler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - Click event of component handler</dd>
<dd><code>createdComponents</code> - EList of names of new component names</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code> - showNotification</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LoggingUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/DifferenceUtils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../utils/Utils.html" title="class in utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/LoggingUtils.html" target="_top">Frames</a></li>
<li><a href="LoggingUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
